Package org.eclipse.cdt.core.parser

# Class AbstractParserLogService

java.lang.Object
org.eclipse.cdt.core.parser.AbstractParserLogService

All Implemented Interfaces:
  `IParserLogService`

Direct Known Subclasses:
  `DefaultLogService`, `NullLogService`

public abstract class AbstractParserLogService extends Object implements IParserLogService

## Constructor Summary

Constructors
Constructor
Description
`AbstractParserLogService()`

## Method Summary

Modifier and Type
Method
Description
`static AbstractParserLogService`
`convert(IParserLogService log)`
`void`
`errorLog(String message)`
`boolean`
`isTracing()`
`boolean`
`isTracing(String traceOption)`
`boolean`
`isTracingExceptions()`
`void`
`traceException(Throwable th)`
`void`
`traceLog(String message)`
`void`
`traceLog(String traceOption, String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractParserLogService

public AbstractParserLogService()

## Method Details

### convert

public static AbstractParserLogService convert(IParserLogService log)

Since:
  5.4

### traceLog

public void traceLog(String message)

Specified by:
  `traceLog` in interface `IParserLogService`

### isTracing

public boolean isTracing(String traceOption)

Parameters:
  `traceOption` - an option as defined in the .options file.
Since:
  5.4

### traceLog

public void traceLog(String traceOption, String message)

Parameters:
  `traceOption` - an option as defined in the .options file.
Since:
  5.4

### errorLog

public void errorLog(String message)

### isTracing

public boolean isTracing()

Specified by:
  `isTracing` in interface `IParserLogService`

### isTracingExceptions

public boolean isTracingExceptions()

### traceException

public void traceException(Throwable th)